/*
 *  Jomar3D, a lobster-running-to-catch game.
 *  Copyright (C) 2006-2008 Jonathan Michalon <studios.chalmion@no-log.org>.
 * 
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


#ifndef DRAWWORLD_H
#define DRAWWORLD_H


#define SM_PITCH 7

#include "draw.h"


void drawworld_activateArray      (void);
void drawworld_clearWells         (void);
void drawworld_createMinimap      (void);
void drawworld_createTerrainLists (void);
void drawworld_drawBurningBomb    (Bomb* bomb);
void drawworld_drawExplodingBomb  (Bomb* bomb);
void drawworld_drawLobster        (void);
void drawworld_drawMartian        (int state);
void drawworld_makeAll            (void);
void drawworld_makeWellsData      (void);
void drawworld_makeLobsterTail    (void);
void drawworld_rememberWall       (int length,
                                   int number,
                                   int x,
                                   int y,
                                   int dir);
void drawworld_wells              (void);
void drawworld_setWellsDividers   (int n);


#endif /* guard */
